package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "team_doctor_view")
public class TeamDoctorView {

    /**
     * team_doctor表的主键ID
     */
    @Id
    @Column(name = "id")
    private int id;

    /**
     * 团队ID（team表主键ID）
     */
    @Column(name = "team_id")
    private Integer teamId;

    /**
     * 团队名称（team表的name）
     */
    @Column(name = "team_name")
    private String teamName;

    /**
     * 团队状态，是否用于展示，0-否，1-是
     */
    @Column(name = "team_status")
    private Integer teamStatus;

    /**
     * 创建医生ID（对应team表的doctor_id）
     */
    @Column(name = "doctor_id")
    private Integer doctorId;

    /**
     * 被邀请医生ID(对应team_doctor表的doctor_id)
     */
    @Column(name = "invited_doctor_id")
    private Integer invitedDoctorId;

    /**
     * 医生职称(创建医生的)
     */
    @Column(name = "title")
    private String title;

    /**
     * 医生擅长(创建医生的)
     */
    @Column(name = "specialty")
    private String specialty;

    /**
     * 医生简介(创建医生的)
     */
    @Column(name = "brief_intro")
    private String briefIntro;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * doctor_dept表的deptId(创建医生的)
     */
    @Column(name = "dept_ids")
    private String deptIds;

    /**
     * doctor_dept表的hospitalId(创建医生的)
     */
    @Column(name = "hospital_ids")
    private String hospitalIds;

    /**
     * 医生姓名(创建医生的)
     */
    @Column(name = "doctor_name")
    private String doctorName;

    /**
     * 头像(创建医生的)
     */
    @Column(name = "avatar")
    private String avatar;

    /**
     * 邀请状态（1-已加入，0-未加入）
     */
    @Column(name = "status")
    private Integer status;

    /**
     * 医生状态
     */
    @Column(name = "doctor_status")
    private Integer doctorStatus;

    /**
     * 团队介绍
     */
    @Column(name = "team_intro")
    private String teamIntro;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getTeamName() {
        return teamName;
    }

    public void setTeamName(String teamName) {
        this.teamName = teamName;
    }

    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSpecialty() {
        return specialty;
    }

    public void setSpecialty(String specialty) {
        this.specialty = specialty;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getDeptIds() {
        return deptIds;
    }

    public void setDeptIds(String deptIds) {
        this.deptIds = deptIds;
    }

    public String getHospitalIds() {
        return hospitalIds;
    }

    public void setHospitalIds(String hospitalIds) {
        this.hospitalIds = hospitalIds;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getBriefIntro() {
        return briefIntro;
    }

    public void setBriefIntro(String briefIntro) {
        this.briefIntro = briefIntro;
    }

    public Integer getInvitedDoctorId() {
        return invitedDoctorId;
    }

    public void setInvitedDoctorId(Integer invitedDoctorId) {
        this.invitedDoctorId = invitedDoctorId;
    }

    public Integer getTeamId() {
        return teamId;
    }

    public void setTeamId(Integer teamId) {
        this.teamId = teamId;
    }

    public Integer getTeamStatus() {
        return teamStatus;
    }

    public void setTeamStatus(Integer teamStatus) {
        this.teamStatus = teamStatus;
    }

    public Integer getDoctorStatus() {
        return doctorStatus;
    }

    public void setDoctorStatus(Integer doctorStatus) {
        this.doctorStatus = doctorStatus;
    }

    public String getTeamIntro() {
        return teamIntro;
    }

    public void setTeamIntro(String teamIntro) {
        this.teamIntro = teamIntro;
    }
}
